function N = countfn(t,x)
%function N = countfn(t,x)
% Count functions for replicated multivariate point processes
% Input:
%   t   (1 x m)         Output time grid for count functions
%   x   (n x d, cell)   Point process observations
%                       (n are the replications per site, d are the sites)
% Output:
%   N   (n x m x d)     Count functions

t = t(:)';
[n,d] = size(x);
m = length(t);
N = zeros(n,m,d);
for j = 1:d
    for i = 1:n
        mi = length(x{i,j}(:));
        N(i,:,j) = sum(repmat(x{i,j}(:),[1 m])<=repmat(t,[mi 1]),1);
    end
end